<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>dataplatform</artifactId>
        <groupId>com.liangjian</groupId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>member-web</artifactId>

    <dependencies>
        <dependency>
            <groupId>pentaho-kettle</groupId>
            <artifactId>kettle-core</artifactId>
            <version>4.1.0</version>
            <!--<scope>system</scope>-->
            <scope>compile</scope>
            <!--<systemPath>${project.basedir}/lib/kettle-core-4.1.0.jar</systemPath>-->
        </dependency>

        <dependency>
            <groupId>pentaho-kettle</groupId>
            <artifactId>kettle-vfs</artifactId>
            <version>20100924</version>
            <!--<scope>system</scope>-->
            <scope>compile</scope>
            <!--<systemPath>${project.basedir}/lib/kettle-vfs-20100924.jar</systemPath>-->
        </dependency>

        <dependency>
            <groupId>pentaho-kettle</groupId>
            <artifactId>aggdesigner-algorithm</artifactId>
            <version>5.1.5</version>
            <!--<scope>system</scope>-->
            <scope>compile</scope>
            <!--<systemPath>${project.basedir}/lib/pentaho-aggdesigner-algorithm-5.1.5-jhyde.jar</systemPath>-->
        </dependency>
        <dependency>
            <groupId>com.liangjian</groupId>
            <artifactId>member-common</artifactId>
        </dependency>

        <dependency>
            <groupId>com.liangjian</groupId>
            <artifactId>member-services</artifactId>
        </dependency>

        <dependency>
            <groupId>com.liangjian</groupId>
            <artifactId>member-weixin-service</artifactId>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <!--<mainClass>com.liangjian.dataplatform.DataplatformApplication</mainClass>-->
                </configuration>
                <dependencies>
                    <!-- spring热部署 -->
                    <dependency>
                        <groupId>org.springframework</groupId>
                        <artifactId>springloaded</artifactId>
                        <version>1.2.8.RELEASE</version>
                    </dependency>

                </dependencies>
            </plugin>

        </plugins>
    </build>
</project>